
Redmine - Defect #3494

Browser "Back" to issue list displays wrong filter

2009-06-13 13:13 - Roman Starkov

Status: Closed Start date: 2009-06-13

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

Reproducible on this website using Firefox 3.0.10.

1. Go to Issues.

2. Add a few filter clauses.

3. Click an issue to view it

4. Click Back in the browser.

Actual: the Issues list is shown with all filter customization lost.

Expected: all filter changes preserved when going Back.

Further info: it is possible to make the settings stick as follows:

Steps 1-3 as before

4. Click the "Issues" tab

5. Click an issue to view it

6. Click Back in the browser

This way step 6 shows the correct filter.

Related issues:

Related to Redmine - Defect #1965: Redmine is not Tab Safe Closed 2008-09-29

Related to Redmine - Defect #657: Back button - loses current page after view... Closed 2008-02-13

Related to Redmine - Patch #7594: Proper pagination Closed 2011-02-09

History

#1 - 2009-07-10 04:51 - Eric Davis

- Resolution set to Cant reproduce

Worked for me (Firefox 3).  After clicking back in your first scenario, my filters were saved.  Could this be a browser caching issue instead of a

Redmine issue?

#2 - 2009-07-10 09:04 - Roman Starkov

- Status changed from New to Resolved

Indeed, not reproducible for me in Firefox 3.5 either. Thanks.

#3 - 2009-07-11 02:35 - Eric Davis

- Status changed from Resolved to Closed

Thanks for the feedback.  Let us know if anything else comes up.

#4 - 2009-10-15 09:23 - Artem K.

exactly the same problem.

Firefox 3.5

couldn't find how to setup this browser to do not cache the Redmine site
#5 - 2009-10-15 11:05 - Artem K.

- Status changed from Closed to Reopened

another one similar issue: cannot return back from issue to that page of issue list from wich this issue was opend.

Example:

1. Filter issues

2. Click "Next" or "2"

3. Click an issue to view it

4. Click Back in the browser OR "Issues" tab

Actual: the page 1 of Issues list is shown.

Expected: the page 2 with viewed issue to be shown.

May be it is possible to make some simple links on issue view like "next/prev issue", "return to list" for navigation in bounds of that filtered list from

wich the showed issue was open

#6 - 2010-07-08 20:51 - Anonymous

I still get this with Redmine 0.9.5 using Chrome (6.0.453.1 dev, Mac OS X). Behavior will probably be similar with other WebKit-based browsers such

as Safari.

In general this bug is going to occur if the browser decides not to restore a freeze-dried page state when going back to the search page. If the page

state gets regenerated from HTML it's going to come up with the original search/page settings again. Whether or not this happens is basically an

implementation detail of the browser. Some are more aggressive about preserving page state than others, and it may also depend on the depth of the

back list and on available memory. You can't depend on it.

#7 - 2010-07-09 10:43 - Henrik Ammer

Jens Alfke wrote:

I still get this with Redmine 0.9.5 using Chrome (6.0.453.1 dev, Mac OS X). Behavior will probably be similar with other WebKit-based browsers

such as Safari.

 I've seen this bug since I first started using Redmine on Windows and Firefox 3.5+. And my cache setting is get most recent on every request so it

ain't a cache problem in the browser. Personally I agree with the conclusion of Jens regarding the preservation of the page.

#8 - 2010-09-23 22:56 - Brad Erickson

This error is consistently reproducible in Google Chrome: 6.0.472.62 (Official Build 59676) beta. I only open issues in tabs to avoid it.

#9 - 2011-01-12 21:31 - Brian Lindahl

related to #1965

#10 - 2011-02-09 18:50 - Brian Lindahl

related to #5138

#11 - 2011-02-09 19:14 - Brian Lindahl

related to #657

#12 - 2011-02-09 21:06 - Brian Lindahl

In #7594, I've created a patch to temporarily solve this problem until a real solution exists. It disables Ajax updates and uses direct linking for

pagination.

#13 - 2011-04-11 18:40 - Anonymous

HTML5 history modification (pushState and friends) can probably alleviate this in newer browsers: 

https://developer.mozilla.org/en/DOM/Manipulating_the_browser_history#Adding_and_modifying_history_entries

See https://github.com/defunkt/jquery-pjax for an example library GitHub uses; browse around the file tree (in Firefox 4 or recent Chrome) to see it in

action.

#14 - 2013-03-17 19:00 - Ivan Cenov

Tested in our production Redmine 2.2.3:

Can't reproduce: after pressing Back button the issue list has the filter that has been set before opening an issue.

#15 - 2013-03-17 20:17 - Daniel Felix
- Status changed from Reopened to Closed

I'm closing this issue as this one is very old and the named browser is fairly outdated. If you can confirm this behavior in current releases with current

browsers please reopen this issue again. Thanks.

Thanks Ivan for this hint.
